#ifndef __GRID_GROUP__
#define __GRID_GROUP__

namespace XMLIOSERVER
{
   class GridGroup : public GroupTemplate<CGrid, GridAttribut>
   {
      public:

         GridGroup(void) : GroupTemplate<CGrid, GridAttribut>()
         {/* Ne rien faire de plus */}
         GridGroup(const string& _id) : GroupTemplate<CGrid, GridAttribut>(_id)
         {/* Ne rien faire de plus */}

         void parse (XMLNode& _node, bool _withAttr = true)
         {
            string name = _node.getElementName();
            THashAttributes attributes;

            /// PARSING GESTION DES ATTRIBUTS ///
            if (_withAttr)
            {
               _node.getAttributes(attributes);
               this->setAttributes(attributes);

               if (attributes.end() != attributes.find("src"))
               { // Si une demande d'inclusion de fichier est trouvée.
                  XMLNode _node_inc = getNodeIncludedFile(attributes["src"], name);
                  parse (_node_inc);
               }
               attributes.clear();
            }

            /// PARSING POUR GESTION DES ENFANTS
            if (!(_node.goToChildElement()))
               WARNING("Le groupe de grilles ne contient pas d'enfant !");
            else
            {
               //////////////////////////////////////
               do { // Parcours pour traitement.

                  string name = _node.getElementName();
                  attributes.clear();
                  _node.getAttributes(attributes);

                  if (name.compare(GridGroup::GetName()) == 0)
                  { createGroupAndParse<GridGroup>(attributes, _node); continue; }

                  if (name.compare(CGrid::GetName()) == 0)
                  { createChildAndParse<CGrid>(attributes, _node); continue; }

                  WARNING("Un groupe de grilles ne peut contenir qu'une grille ou un autre groupe de grilles !");

               } while (_node.goToNextElement());
               //////////////////////////////////////
               _node.goToParentElement(); // Retour au parent
            }
         }

         virtual ~GridGroup(void)
         {/* Ne rien faire de plus */ }

   }; // class GridGroup

   typedef GridGroup GridDefinition ;

}; // namespace XMLIOSERVER

#endif // __GRID_GROUP__


