#include "xmlio.hpp"

using namespace XMLIOSERVER;
using namespace XMLIOSERVER::XML;
using namespace std;

extern "C" void main_c_(void) ;

void main_c_ (void)
{
   try
   {
      //string file("/local/XMLIOSERVER_DEV/dev_rv/test/iodef_test.xml");
      string file("/local/XMLIOSERVER_DEV/dev_rv/iodef_test.xml");

      ifstream istr( file.c_str() , ifstream::in );

      // On commence la lecture du flux de donnée xml qui doit posséder pour racine un unique noeud nommé "simulation".
      XMLNode node = XMLNode::CreateNode(istr, Context::GetRootName());
      // On parse le fichier xml noeud par noeud (ie on construit dynamiquement notre arbre d'objets).
      XMLParser::Parse(node);

      // On résoud les héritages descendants ainsi que les héritages par référence.
      Context::ResolveInheritance();

      // On poursuit le traitement ...

      // On écrit l'arborescence résultante du traitement sur la sortie.
      Context::ShowTree(std::clog);

      /*std::clog << "Nombre de Contexts listés : " << Context::GetCurrentListObject().getSize() << " contre 1 attendus."<< std::endl;
      std::clog << "Nombre de FieldGroups listés : " << FieldGroup::GetCurrentListObject().getSize() << " contre 5 attendus."<< std::endl;
      std::clog << "Description du champs votkeavt : " << Field::GetObject("votkeavt").axis_ref << " contre \"Vertical Eddy Diffusivity\" attendus."<< std::endl;*/

   }
   catch(const Exception &exc)
   {  // Pour tout type d'exceptions, on note les informations sur la sortie paramétrée.
      ERROR(exc.displayText());
      // On retourne le code d'erreur en fin d'application pour traitements éventuels.
      // return (exc.code());
   }

// return (0);
}
