#ifndef __XMLIO__
#define __XMLIO__

/// Entêtes STL ///
#include <utility>
#include <string>

#include <vector>
#include <set>

#include <iostream>
#include <fstream>

/// Entêtes Poco ///
#include <Poco/Exception.h>
#include <Poco/HashMap.h>
#include <Poco/Hash.h>

/// Entête Blitz array ///
#include <blitz/array.h>

/// Entêtes créés dans le cadre du projet XMLIOSERVER. ///
#include "xmlio_exception.hpp"
#include "xmlio_logger.hpp"
#include "xmlio_container.hpp"
#include "xmlio_object.hpp"
#include "xmlio_xml_node.hpp"
#include "xmlio_object_template.hpp"

// Gestion des attributs des objets.
#include "grid_attribut.hpp"
#include "axis_attribut.hpp"
#include "field_attribut.hpp"
#include "file_attribut.hpp"

#include "xmlio_group_template.hpp"

// Prise en charge des champs...
#include "field.hpp"
#include "field_group.hpp"
// Prise en charge des fichiers ...
#include "file.hpp"
#include "file_group.hpp"
// Prise en charge des axes ...
#include "axis.hpp"
#include "axis_group.hpp"
// Prise en charge des grilles ...
#include "grid.hpp"
#include "grid_group.hpp"

#include "context.hpp"
#include "xmlio_xml_parser.hpp"

#endif // __XMLIO__
